> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dodopayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archivar Precio Localizado

> Archivar una regla de precio localizado. Eliminación suave idempotente.



## OpenAPI

````yaml delete /products/{product_id}/localized-prices/{id}
openapi: 3.1.0
info:
  title: public
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.105.23
servers:
  - url: https://test.dodopayments.com/
    description: Test Mode Server Host
  - url: https://live.dodopayments.com/
    description: Live Mode Server Host
security: []
tags:
  - name: Products
  - name: Payments
  - name: Subscriptions
  - name: Addons
  - name: Customers
  - name: Refunds
  - name: Disputes
  - name: Events
  - name: License Keys
  - name: Entitlements
  - name: Licenses
  - name: Discounts
  - name: Meters
  - name: Credit Entitlements
  - name: Credit Entitlement Balances
  - name: Outgoing Webhooks
  - name: Checkout
  - name: Webhook Events
paths:
  /products/{product_id}/localized-prices/{id}:
    delete:
      tags:
        - Product Localized Prices
      operationId: archive_localized_price
      parameters:
        - name: product_id
          in: path
          description: Product Id
          required: true
          schema:
            type: string
          example: pdt_R8AWMPiV8RyJElcCKvAID
        - name: id
          in: path
          description: Localized Price Id
          required: true
          schema:
            type: string
          example: lcp_3aOOT7ebrzBOV41yL2V6s
      responses:
        '200':
          description: Archived (or already archived)
        '404':
          description: Not found
        '500':
          description: Server error
      security:
        - API_KEY: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import DodoPayments from 'dodopayments';


            const client = new DodoPayments({
              bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
            });


            await
            client.products.localizedPrices.archive('lcp_3aOOT7ebrzBOV41yL2V6s',
            {
              product_id: 'pdt_R8AWMPiV8RyJElcCKvAID',
            });
        - lang: Python
          source: |-
            import os
            from dodopayments import DodoPayments

            client = DodoPayments(
                bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"),  # This is the default and can be omitted
            )
            client.products.localized_prices.archive(
                id="lcp_3aOOT7ebrzBOV41yL2V6s",
                product_id="pdt_R8AWMPiV8RyJElcCKvAID",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/dodopayments/dodopayments-go\"\n\t\"github.com/dodopayments/dodopayments-go/option\"\n)\n\nfunc main() {\n\tclient := dodopayments.NewClient(\n\t\toption.WithBearerToken(\"My Bearer Token\"),\n\t)\n\terr := client.Products.LocalizedPrices.Archive(\n\t\tcontext.TODO(),\n\t\t\"pdt_R8AWMPiV8RyJElcCKvAID\",\n\t\t\"lcp_3aOOT7ebrzBOV41yL2V6s\",\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: >-
            package com.dodopayments.api.example;


            import com.dodopayments.api.client.DodoPaymentsClient;

            import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;

            import
            com.dodopayments.api.models.products.localizedprices.LocalizedPriceArchiveParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();

                    LocalizedPriceArchiveParams params = LocalizedPriceArchiveParams.builder()
                        .productId("pdt_R8AWMPiV8RyJElcCKvAID")
                        .id("lcp_3aOOT7ebrzBOV41yL2V6s")
                        .build();
                    client.products().localizedPrices().archive(params);
                }
            }
        - lang: Kotlin
          source: >-
            package com.dodopayments.api.example


            import com.dodopayments.api.client.DodoPaymentsClient

            import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient

            import
            com.dodopayments.api.models.products.localizedprices.LocalizedPriceArchiveParams


            fun main() {
                val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()

                val params: LocalizedPriceArchiveParams = LocalizedPriceArchiveParams.builder()
                    .productId("pdt_R8AWMPiV8RyJElcCKvAID")
                    .id("lcp_3aOOT7ebrzBOV41yL2V6s")
                    .build()
                client.products().localizedPrices().archive(params)
            }
        - lang: Ruby
          source: |-
            require "dodopayments"

            dodo_payments = Dodopayments::Client.new(
              bearer_token: "My Bearer Token",
              environment: "test_mode" # defaults to "live_mode"
            )

            result = dodo_payments.products.localized_prices.archive(
              "lcp_3aOOT7ebrzBOV41yL2V6s",
              product_id: "pdt_R8AWMPiV8RyJElcCKvAID"
            )

            puts(result)
        - lang: PHP
          source: |-
            <?php

            require_once dirname(__DIR__) . '/vendor/autoload.php';

            use Dodopayments\Client;
            use Dodopayments\Core\Exceptions\APIException;

            $client = new Client(
              bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',
              environment: 'test_mode',
            );

            try {
              $result = $client->products->localizedPrices->archive(
                'lcp_3aOOT7ebrzBOV41yL2V6s', productID: 'pdt_R8AWMPiV8RyJElcCKvAID'
              );

              var_dump($result);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: C#
          source: |-
            using DodoPayments.Client;
            using DodoPayments.Client.Models.Products.LocalizedPrices;

            DodoPaymentsClient client = new();

            LocalizedPriceArchiveParams parameters = new()
            {
                ProductID = "pdt_R8AWMPiV8RyJElcCKvAID",
                ID = "lcp_3aOOT7ebrzBOV41yL2V6s",
            };

            await client.Products.LocalizedPrices.Archive(parameters);
        - lang: Rust
          source: |-
            use dodopayments::Client;

            #[tokio::main]
            async fn main() -> dodopayments::Result<()> {
                let client = Client::from_env()?;
                let product_id = "product_id";
                let id = "id";
                let result = client
                    .products()
                    .localized_prices()
                    .archive()
                    .product_id(product_id)
                    .id(id)
                    .await?;
                println!("{result:?}");
                Ok(())
            }
components:
  securitySchemes:
    API_KEY:
      type: http
      scheme: bearer

````